@echo off
:: ===================================================================================
:: Install NemezisMod
:: ===================================================================================

:: -----------------------------------------------------
:: Checks that the directory selected is correct
:: -----------------------------------------------------
if not exist "..\content\patch0\bundles\patch.bundle" (
	echo.
	echo Error: Installation failed: no proper game directory selected.
	pause
	goto :EOF
)

:: -----------------------------------------------------
:: Checks that JAVA is installed correctly
:: -----------------------------------------------------
java -version >nul 2>&1 && (
	echo Found Java, continue...
	echo.
	echo.
) || (
	echo Error: Installation failed: Java program not found. Download the Java distribution and RESTART the PC.
	pause
	goto :EOF
)

:: -----------------------------------------------------
:: Install patch.bundle modifications
:: -----------------------------------------------------
if exist "..\content\patch0\bundles\patch.bundle.bak" (
	echo.
	echo.
	echo Found backup file of patch.bundle, renaming it for compatibility issues with the installation process...
	if exist "..\content\patch0\bundles\patch.bundle.backup" (
		del "..\content\patch0\bundles\patch.bundle.backup" >NUL
	)
	copy "..\content\patch0\bundles\patch.bundle.bak" "..\content\patch0\bundles\patch.bundle.backup" >NUL
	del "..\content\patch0\bundles\patch.bundle.bak" >NUL
	echo Backup renamed.
	echo.
	echo.
)
echo Installing Patch.bundle changes
echo This part can take up to a minute, please wait...
java -Xms1g -jar bundle-explorer.jar "..\content\patch0\bundles\patch.bundle" patch.bundle.mod patch\InstallNemezis -r >NUL
del "..\content\patch0\bundles\patch.bundle.bak" >NUL
echo.
echo.

:: -----------------------------------------------------
:: Install xml.bundle modifications
:: -----------------------------------------------------
if exist "..\content\content0\bundles\xml.bundle.bak" (
	echo Found backup file of xml.bundle, renaming it for compatibility issues with the installation process...
	if exist "..\content\content0\bundles\xml.bundle.backup" (
		del "..\content\content0\bundles\xml.bundle.backup" >NUL
	)
	copy "..\content\content0\bundles\xml.bundle.bak" "..\content\content0\bundles\xml.bundle.backup" >NUL
	del "..\content\content0\bundles\xml.bundle.bak" >NUL
	echo Backup renamed.
	echo.
	echo.
)
echo Installing Xml.bundle changes
echo This part can take several seconds, please wait...
java -Xms1g -jar bundle-explorer.jar "..\content\content0\bundles\xml.bundle" xml.bundle.mod xml\InstallNemezis -r >NUL
del "..\content\content0\bundles\xml.bundle.bak" >NUL
echo.
echo.
echo NemezisMod installated successfully.
echo You can now close the Setup program.
echo.
pause